./converters/p5-JSON-MaybeXS, Use Cpanel::JSON::XS with a fallback to JSON::PP

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.003010, Package name: p5-JSON-MaybeXS-1.003010, Maintainer: pkgsrc-users

This module tries to load Cpanel::JSON::XS, and if that fails
instead tries to load JSON::PP. If neither is available, an exception
will be thrown.


Required to run:
[lang/perl5]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: df355e7b13cf97211a19902bc70b6c55b4221120
RMD160: 1b2877b9d53f2c664f10c2466a15ab279e69bb0f
Filesize: 13.728 KB

Version history: (Expand)


CVS history: (Expand)


   2018-02-25 16:52:03 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-JSON-MaybeXS: update to 1.003010.

1.003010 - 2018-01-28
 - use bundled ExtUtils::HasCompiler rather than ExtUtils::CBuilder to detect
   compiler availability.
 - clarify exported JSON in documentation
   2017-09-17 10:12:14 by Thomas Klausner | Files touched by this commit (1)
Log message:
p5-JSON-MaybeXS: remove comment.
   2017-09-17 10:11:24 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-JSON-MaybeXS: update to 1.003009.

1.003009 - 2017-02-27
 - fix tests to no longer rely on . being in @INC (RT#120404)
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2017-02-07 13:16:48 by Thomas Klausner | Files touched by this commit (3)
Log message:
Remove references to old perl versions.
   2017-01-19 15:16:34 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 1.003008
Update DEPENDS

Upstream changes:
1.003008 - 2016-10-03
 - added an INSTALLATION section to documentation, to clarify the use of
   dynamic prerequisites in Makefile.PL
 - minimize prereqs listed in META.json to avoid giving the appearance of XS
   prerequisites, and confusing static inspection tools such as metacpan.org.

1.003007 - 2016-09-11
 - no changes since 1.003006_001

1.003006_001 - 2016-06-28
 - bump prereq on JSON::PP, to ensure we get the fix for parsing utf8-encoded
   values (in JSON::PP 2.27300)
 - we now always upgrade JSON::XS if it is installed and below version 3.0,
   due to changes in handling booleans
 - remove test dependency on Test::Without::Module (RT#115394)
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 02:43:56 by Alistair G. Crooks | Files touched by this commit (120)
Log message:
Add SHA512 digests for distfiles for converters category

Problems found with existing distfile:
	distfiles/libiconv-1.13-cp932.patch.gz
No changes made to the libiconv distinfo file.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.